This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 605859 - Review Request: python-eggtestinfo - Python setuptools plugin for adding test information to .egg-info
Review Request: python-eggtestinfo - Python setuptools plugin for adding test...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
StalledSubmitter
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-18 19:43 EDT by Nathaniel McCallum
Modified: 2012-02-27 10:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-27 10:12:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathaniel McCallum 2010-06-18 19:43:40 EDT
Spec URL: http://nathaniel.themccallums.org/rpms/python-eggtestinfo.spec
SRPM URL: http://nathaniel.themccallums.org/rpms/python-eggtestinfo-0.2.2-1.fc13.src.rpm
Description:
This package is a setuptools plugin: it adds
a file to the generated .egg-info directory,
capturing the information used by the setup.py
test command when running tests.
Comment 1 Fabian Affolter 2010-07-04 08:24:06 EDT
Some quick comments on your spec file:

[fab@laptop011 SRPMS]$ rpmlint python-eggtestinfo-0.2.2-1.fc13.src.rpm 
python-eggtestinfo.src: W: spelling-error Summary(en_US) setuptools -> setup tools, setup-tools, setups
python-eggtestinfo.src: W: spelling-error Summary(en_US) plugin -> plug in, plug-in, plugging
python-eggtestinfo.src: W: spelling-error %description -l en_US setuptools -> setup tools, setup-tools, setups
python-eggtestinfo.src: W: spelling-error %description -l en_US plugin -> plug in, plug-in, plugging
python-eggtestinfo.src: W: invalid-license Python Software Foundation License
python-eggtestinfo.src: W: invalid-license Zope Public License
1 packages and 0 specfiles checked; 0 errors, 6 warnings.

- Please fix the license tag.
- Using macros in the URL is not very useful for copy-and-paste 
  From my point of view the url can be http://pypi.python.org/pypi/eggtestinfo
- If you want to build this package for Fedora 12 please use this %{python_sitelib} macros
  https://fedoraproject.org/wiki/Packaging:Python#Macros
Comment 2 Nathaniel McCallum 2010-07-05 16:23:24 EDT
What is the proper license name?  I've tried all combinations of PSFL/Python/etc.  Same for ZPL/ZPLv2/etc.  rpmlint always seems to complain no matter what I put.
Comment 3 Fabian Affolter 2010-07-05 16:57:44 EDT
As far as I can see the the license short name for the license tag should be: "Python or ZPLv1.0" for those licenses.

Another issue is that upstream only make a vague statement about the license.  There is no license statement in the source header and there is no license file in the source tarball.  Only a statement on the website.  This can become a blocker.
Comment 4 Jason Tibbitts 2010-11-23 14:08:50 EST
Was the license issue ever clarified?

This package also needs updating to the current python packaging guidelines.
Comment 5 Fabian Affolter 2011-03-31 15:12:33 EDT
The latest release is 0.3

Note You need to log in before you can comment on or make changes to this bug.